#include <iostream>
#include <algorithm>
using namespace std;
int main() {
    int N,A[N],B[N];
    cin>>N;
    for (int i=0;i<N;i++) {
        cin>>A[i]; }
    for (int i=0;i<N;i++) {
        cin>>B[i]; }
    int m=0;
    for (int L=0;L<N;L++) {
        int x=0;
        int a=~0;  
        for (int R=L;R<N;R++) {
            x^=A[R]; 
            a&=B[R]; 
            int c=x*a;
            m=max(m,c); }}
    cout<<m<<endl;
    return 0;
}